Downloads

Here is the MODPACK required to access our ORIGINS server (v1.17.1):

Note: You may need to use Java 16 (instead of Java 8) to use this modpack!

Origins Mod-Pack (all mods in a single ZIP file):